#!/bin/sh
## This is the code for the shell example in example.html

## WARNING: Do not use the -f option under normal circumstances.
## ALSO NOTE: normally kunfenv would be on your path in /usr/bin/

################################################################
## Grab the data
eval `../../utils/kunfenv -f etc/root.kunf devices:ttyS1`
# In real life this would look more like :
# eval `/usr/bin/kunfenv devices:ttyS1`

################################################################
## You really would not want me to mess with your serial
## ports, now, would you ? 
echo "uart is $devices_ttyS1_uart" 
echo "port is $devices_ttyS1_port"
echo "irq is $devices_ttyS1_irq"

################################################################
## In theory the following 2 lines could go into one of the /etc/rc.d files
# eval `/usr/bin/kunfenv devices:ttyS1`
# setserial /dev/ttyS1 uart $devices_ttyS1_uart port $devices_ttyS1_port irq $devices_ttyS1_irq

################################################################
## you could also specify individual entries like this:
# eval `../../utils/kunfenv -f etc/root.kunf devices:ttyS0:irq`
# echo "irq for ttyS0 is $devices_ttyS0_irq"

